#!/bin/bash

## The Bazcli Plugin services
## Currently runs the ldap, okta and windows plugins.

set -e
trap on_stop SIGSTOP

PID_LDAP=""
PID_OKTA=""
PID_WIN=""
PLUGIN_PATH="/opt/bazc/bazcli-plugins/sbin/"

function on_stop() {
  echo "Got SIGSTOP, terminating"
  kill -TERM $PID_LDAP
  kill -TERM $PID_OKTA
  kill -TERM $PID_WIN
  exit 1
}

echo "Starting LDAP Plugin.."
$PLUGIN_PATH/ldap_plugin --host localhost &
PID_LDAP=$!

echo "Starting Okta Plugin.."
$PLUGIN_PATH/okta_plugin --host localhost &
PID_OKTA=$!

echo "Starting Windows Plugin.."
$PLUGIN_PATH/win_plugin --host localhost &
PID_WIN=$!

wait $PID_LDAP $PID_OKTA $PID_WIN
